function plotRodConstraint( constraint, bodyA, bodyB )
    p_a = bodyA.position;
    t_a = transformVector(constraint.F_a,[1 0 0]);
    t_b = transformVector(constraint.F_b,[1 0 0]);
    t_a = transformVector(bodyA.orientation,t_a);
    t_b = transformVector(bodyB.orientation,t_b);
    
    psi = 0.5*acos(dot(t_a,t_b));
    ax = ns(cross(t_a,t_b));
    axax = ns(cross(ax,t_a));
    
    ckdist = constraint.l_0/(2*psi);
    
    ck = bodyA.position + axax*ckdist;
    
    ckp1 = p_a-ck;
    
    for i = 0:19
        ckp1a = rodrigues(ckp1,i*ax*2*psi/20);
        ckp1b = rodrigues(ckp1,(i+1)*ax*2*psi/20);
        plotLineClrThin(ck + ckp1a,ck + ckp1b,'k');
    end
    
end

